Subject: Re: linux-next: build failure in Linus' tree

From: Linus Torvalds <[email-masked]>
Date: Tue, 1 Jun 2010 10:07:19 -0700 (PDT)

On Tue, 1 Jun 2010, Tony Luck wrote:

> On Sat, May 29, 2010 at 5:43 PM, Stephen Rothwell <[email-masked]> wrote:
> > So, is it reasonable for me to ask you to revert commit
> > 0ac0c0d0f837c499afd02a802f9cf52d3027fa3b ("cpusets: randomize node rotor
> > used in cpuset_mem_spread_node()")?  Reverting it won't break ia64 (since
> > their fix was to just add code that would then be unreferenced).
> 
> If that's the way you go - then just revert commit
> 4ec37de89d8c758ee8115e0e64b3f994910789ee
> too. I only put that in to get the ia64 build working
> when 0ac0c0d went upstream.

I did. See commit b3f2f6cd1ff935ecac9a5346904b899d7af689fe.

Although I left the non-__node_random parts, which seemed to be an 
independent compile fix. 

		Linus